Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07115 Sound Minor Always Oct 14, 2018, 23:37 Oct 17, 2018, 17:11
Tester kujina View Status Public Platform MAME (Official Binary)
Assigned To ctr Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver cps2.cpp
Version 0.202 Fixed in Version 0.203 Build 64-bit
Summary 07115: spf2t (qsound): Distortion of sound effects mainly in left sound channel of spf2t
Description Distortion of sound effects, mainly in the left sound channel. You will frequently hear distortion in the sound just by letting the game run or by playing. When the game starts and you hear ‘Capcom’ you always get the distortion in the left sound channel. The distortion occurs consistently with many specific sound effects.

Lowering the game volume(s) doesn’t eliminate the distortion.

I did some testing and this distortion is NOT present in mame versions 0.200 and 0.19X. BUT it IS also present in mame version 0.201
Steps To Reproduce You can reproduce the distortions every time by running the game or in the game service menu. Some examples - sound code no: 00A0 distorts in the left channel, sound code no: 00D0 distorts in the right channel and sound code no: 0120 distorts in both channels.
Additional Information
Flags
Regression Version 0.201
Affected Sets / Systems spf2t (qsound)
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.15542
Tafoid
Administrator
Oct 16, 2018, 22:46
I can confirm that there is a click happening in the cases you mentioned above.
Daily binary testing seems to isolate the issue starting after the HLE QSound updates here on August 18, 2018
https://github.com/mamedev/mame/commit/e6d8313105b0b511dd962b6a7040cb13991cf169
User avatar
No.15549
Tafoid
Administrator
Oct 17, 2018, 17:11
Fixed clipping issues by superctr:
https://github.com/mamedev/mame/commit/b0bf4e45402b0c2b32883782af1df776ca5eab64